> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get actions



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /botMetric/actions
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /botMetric/actions:
    get:
      tags:
        - BotMetric
      summary: Get actions
      parameters:
        - name: leadId
          in: query
          description: Optional lead ID.
          style: form
          schema:
            type: string
        - name: sourceId
          in: query
          description: Optional source ID.
          style: form
          schema:
            type: string
        - name: botId
          in: query
          description: Optional bot ID.
          style: form
          schema:
            type: string
        - name: start
          in: query
          description: Optional start date.
          style: form
          schema:
            type: string
            format: date-time
        - name: end
          in: query
          description: Optional end date.
          style: form
          schema:
            type: string
            format: date-time
        - name: maxCount
          in: query
          description: Optional maximum number of actions to return.
          style: form
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotMetricAction'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotMetricAction'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotMetricAction'
components:
  schemas:
    BotMetricAction:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        actionId:
          type: string
          nullable: true
        leadId:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        botId:
          type: string
          nullable: true
        nodeId:
          type: integer
          format: int32
        frontendNodeId:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````